<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.137.10.402
Name: Diameter materiaal
Description: Template: Diameter materiaal
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000">
   <title>Diameter materiaal</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.402
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]
Item: (Diametermaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]"
         id="d42e370-false-d1308e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]) &gt;= 1">(Diametermaterial): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]) &lt;= 1">(Diametermaterial): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.402
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]
Item: (Diametermaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]"
         id="d42e391-false-d1325e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="string(@classCode) = ('OBS')">(Diametermaterial): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="string(@moodCode) = ('EVN')">(Diametermaterial): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']) &gt;= 1">(Diametermaterial): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']) &lt;= 1">(Diametermaterial): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '384627007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Diametermaterial): element hl7:code[(@code = '384627007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '384627007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Diametermaterial): element hl7:code[(@code = '384627007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(Diametermaterial): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(Diametermaterial): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.402
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']
Item: (Diametermaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']"
         id="d42e397-false-d1368e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Diametermaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.137.10.402')">(Diametermaterial): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.137.10.402' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.402
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]/hl7:code[(@code = '384627007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Diametermaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]/hl7:code[(@code = '384627007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e402-false-d1383e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Diametermaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="@nullFlavor or (@code='384627007' and @codeSystem='2.16.840.1.113883.6.96')">(Diametermaterial): de elementwaarde MOET een zijn van 'code '384627007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.402
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]/hl7:value[not(@nullFlavor)]
Item: (Diametermaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.402']]/hl7:value[not(@nullFlavor)]"
         id="d42e407-false-d1399e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Diametermaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="(@nullFlavor or (@unit='cm'))">(Diametermaterial): value MOET eenheid 'cm' gebruiken en </assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="(@nullFlavor or (number(@value)&gt;=0.1 and number(@value)&lt;=20.0 and (matches(string(@value), '^[-+]?\d*(\.\d{1,999})$'))))">(Diametermaterial): value MOET in bereik [0.1..20.0] liggen  en minimaal 1 decimalen nauwkeurig zijn </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Diametermaterial): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.402-2023-09-22T120000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Diametermaterial): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
