<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Name: Consult materiaal aangevraagd
Description: Template: Consult materiaal aangevraagd, intern of extern consult
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000">
   <title>Consult materiaal aangevraagd</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]
Item: (Consultrevisionmaterial)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]"
         id="d42e609-false-d1880e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="string(@classCode) = ('ACT')">(Consultrevisionmaterial): de waarde van classCode MOET 'ACT' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="string(@moodCode) = ('RQO')">(Consultrevisionmaterial): de waarde van moodCode MOET 'RQO' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']) &gt;= 1">(Consultrevisionmaterial): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']) &lt;= 1">(Consultrevisionmaterial): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Consultrevisionmaterial): element hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Consultrevisionmaterial): element hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:text) &lt;= 1">(Consultrevisionmaterial): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']"
         id="d42e621-false-d1922e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Consultrevisionmaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.137.10.429')">(Consultrevisionmaterial): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.137.10.429' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e626-false-d1937e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Consultrevisionmaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="@nullFlavor or (@code='726007' and @codeSystem='2.16.840.1.113883.6.96')">(Consultrevisionmaterial): de elementwaarde MOET een zijn van 'code '726007' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(Consultrevisionmaterial): element hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e630-false-d1961e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Consultrevisionmaterial): element hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Consultrevisionmaterial): element hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(Consultrevisionmaterial): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Consultrevisionmaterial): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e632-false-d1990e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Consultrevisionmaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="@nullFlavor or (@code='408730004' and @codeSystem='2.16.840.1.113883.6.96')">(Consultrevisionmaterial): de elementwaarde MOET een zijn van 'code '408730004' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:code[(@code = '726007' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:qualifier[hl7:name[(@code = '408730004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e637-false-d2009e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Consultrevisionmaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.137.11.226-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Consultrevisionmaterial): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.137.11.226 Intern/Extern (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:text
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:text"
         id="d42e645-false-d2029e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(Consultrevisionmaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Consultrevisionmaterial): element hl7:reference[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Consultrevisionmaterial): element hl7:reference[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.137.10.429
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:text/hl7:reference[not(@nullFlavor)]
Item: (Consultrevisionmaterial)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.137.10.429']]/hl7:text/hl7:reference[not(@nullFlavor)]"
         id="d42e647-false-d2048e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/rivmsp/bvodkpa-html-20231212T145507/tmp-2.16.840.1.113883.2.4.3.11.60.137.10.429-2023-09-22T120000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(Consultrevisionmaterial): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
